function init(hero) {
    hero.setName("Red Hood");
    hero.setTier(4);
    hero.setVersion("\u00A74\u00A7lT\u00A76\u00A7le\u00A7a\u00A7le\u00A7d\u00A7ln \u00A7b\u00A7lT\u00A7a\u00A7li\u00A76\u00A7lt\u00A7d\u00A7la\u00A7b\u00A7ln\u00A74\u00A7ls\u00A7r");
    
    hero.setHelmet("Hood");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("mvh:tt_redhood");
    hero.addAttribute("PUNCH_DAMAGE", 7.0, 0);
    
    hero.addKeyBind("AIM", "key.aim", 1);
    hero.addKeyBind("BLADE", "Summon the All-Blade", 2);

    hero.supplyFunction("canAim", canAim);
    hero.addAttributeProfile("SWORD", weaponProfile);
    hero.setAttributeProfile(getAttributeProfile);
    hero.setModifierEnabled(isModifierEnabled);
}
function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
       case "fiskheroes:leaping":
        return entity.getData("fiskheroes:blade");
    default:
        return true;
    }
}
function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}
function weaponProfile(profile) {
    profile.addAttribute("FALL_RESISTANCE", 10, 1);
    profile.addAttribute("PUNCH_DAMAGE", 0.0, 0);
    profile.addAttribute("WEAPON_DAMAGE", 0.0, 0);
    profile.addAttribute("SPRINT_SPEED", 0.25, 1);
    profile.addAttribute("BASE_SPEED", 0.10, 1);
    profile.addAttribute("REACH_DISTANCE", 2.0, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "SWORD" : null;
}